# $Id: 01_simple.t,v 1.1 2005/12/19 13:14:08 pythontech Exp $
use strict;
use Test::More tests => 3;

use PythonTech::Template;

my $t = new PythonTech::Template(DIRS => '/nowhere',
				 STAG => '{',
				 ETAG => '}');

is($t->process_text(''), '', 'Empty string');
is($t->process_text('{a}rgh', {a=>'AAA'}), 'AAArgh', 'Simple insertion');
is($t->process_text("{# Comment}
a for {a}, {IF b}b for {b}, {ENDIF}
{LOOP c}c for {what}, {ENDLOOP}",
 {a=>'horses',b=>'mutton',c=>[{what=>'yourself'},{what=>'miles'}]}),
"a for horses, b for mutton, c for yourself, c for miles, ", 'IF and LOOP');
